Subject: bug#597: debian-podman-config-override: Podman missing cgroup mount

From: Hannah Rittich <[email-masked]>
Date: Thu, 5 Aug 2021 13:22:23 +0200

Package: debian-podman-config-override
Version: 2.1
Severity: normal
X-Debbugs-Cc: [email-masked]

I was setting up a minimal installation of chimaera to test the new 
`debian-podman-config-override` package. On this system, running a 
simple container with podman fails.

     $ podman pull docker.io/dyne/devuan:beowulf
     ...
     $ podman run -ti --rm devuan:beowulf
     Error: OCI runtime error: invalid file system type on '/sys/fs/cgroup'

I had not seen this error message when testing the configuration that is 
now in `debian-podman-config-override`. When testing earlier, I was 
running a full desktop installation, and it turns out that `elogind` 
mounts the cgroup filesystem. Thus, installing `elogind` and restarting 
allows podman to run.

Instead of `elogind`, it is also possible to install `cgroupfs-mount` or 
`cgmanager`. Maybe there are more packages that mount the cgroup filesystem.

To improve the out-of-the-box experice of chimaera, I would suggest to 
make `debian-podman-config-override` to depend on a package that mounts 
the cgroup filesystem. I would suggest to make the package depend on 
`cgroupfs-mount`. It would be possible, however, to just require that 
any of the above-mentioned packages is installed.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera)
Release:	4
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.10.0-8-amd64 (SMP w/1 CPU thread)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), 
LANGUAGE=en_US:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

-- no debconf information